Skip to content

Get Chat Sync

GET
/api/v1/projects/{project_id}/chat/sync
curl --request GET \
--url 'https://aura.strangeworks.com/api/v1/projects/example/chat/sync?limit=200' \
--header 'Authorization: Bearer <token>'

One atomic read of a conversation: messages + authoritative turn state.

project_id
required
Project Id
string
conversation_id
Any of:
string
limit
Limit
integer
default: 200 >= 1 <= 1000

Successful Response

Media typeapplication/json
ConversationSyncResponse

Atomic snapshot of a conversation: messages plus in-flight turn state.

object
conversation_id
required
Any of:
string
messages
required
Messages
Array<object>
ChatMessageResponse
object
affected_card_ids
required
Affected Card Ids
Array<string>
client_msg_id
Any of:
string
content
required
Content
string
content_segments
Any of:
Array<object>
ContentSegmentData

A single segment in the interleaved content stream.

object
card_id
Any of:
string
children
Any of:
Array<object>
ToolCallData

A single tool call recorded on a chat message.

object
card_id
Any of:
string
children
Any of:
Array<object> recursive
completed_at
Any of:
string format: date-time
duration_ms
Any of:
integer
error
Any of:
string
error_code
Any of:
string
error_details
Any of:
object
key
additional properties
execution_source
Any of:
string
file_path
Any of:
string
id
required
Id
string
input
Any of:
object
key
additional properties
owner_id
Any of:
string
owner_type
Any of:
string
panel_key
Any of:
string
parent_tool_use_id
Any of:
string
result
Any of:
scope
Any of:
string
started_at
Any of:
string format: date-time
status
required
Status
string
Allowed values: running completed failed unknown
stream_id
Any of:
string
summary
Any of:
string
tool
required
Tool
string
turn_id
Any of:
string
completed_at
Any of:
string format: date-time
content
Any of:
string
duration_ms
Any of:
integer
error
Any of:
string
error_code
Any of:
string
error_details
Any of:
object
key
additional properties
execution_source
Any of:
string
failure_count
Any of:
integer
file_path
Any of:
string
has_failures
Any of:
boolean
id
Any of:
string
input
Any of:
object
key
additional properties
label
Any of:
string
meeting_id
Any of:
string
owner_id
Any of:
string
owner_type
Any of:
string
panel_key
Any of:
string
parent_tool_use_id
Any of:
string
result
Any of:
scope
Any of:
string
source
Any of:
string
started_at
Any of:
string format: date-time
status
Any of:
string
stream_id
Any of:
string
summary
Any of:
string
tool
Any of:
string
tool_count
Any of:
integer
turn_id
Any of:
string
type
required
Type
string
Allowed values: text tool_call tool_summary recording
conversation_id
Any of:
string
created_at
required
Created At
string format: date-time
file_ids
Any of:
Array<string>
id
required
Id
string
is_partial
Is Partial
boolean
project_id
required
Project Id
string
role
required
Role
string
Allowed values: user assistant system
sequence
required
Sequence
integer
tool_calls
Any of:
Array<object>
ToolCallData

A single tool call recorded on a chat message.

object
card_id
Any of:
string
children
Any of:
Array<object> recursive
completed_at
Any of:
string format: date-time
duration_ms
Any of:
integer
error
Any of:
string
error_code
Any of:
string
error_details
Any of:
object
key
additional properties
execution_source
Any of:
string
file_path
Any of:
string
id
required
Id
string
input
Any of:
object
key
additional properties
owner_id
Any of:
string
owner_type
Any of:
string
panel_key
Any of:
string
parent_tool_use_id
Any of:
string
result
Any of:
scope
Any of:
string
started_at
Any of:
string format: date-time
status
required
Status
string
Allowed values: running completed failed unknown
stream_id
Any of:
string
summary
Any of:
string
tool
required
Tool
string
turn_id
Any of:
string
user_avatar_url
Any of:
string
user_id
Any of:
string
user_name
Any of:
string
turn
required
TurnStateResponse

Live agent-turn state for one conversation, derived from the accumulator.

object
message_id
Any of:
string
next_seq
Next Seq
integer
0
state
required
State
string
Allowed values: idle dispatched streaming
turn_id
Any of:
string
Example
{
"messages": [
{
"content_segments": [
{
"children": [
{
"status": "running"
}
],
"type": "text"
}
],
"is_partial": false,
"role": "user",
"tool_calls": [
{
"status": "running"
}
]
}
],
"turn": {
"next_seq": 0,
"state": "idle"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}